execute as @e[type=minecraft:armor_stand,tag=!NoStatue] if items entity @s armor.head #minecraft:skulls at @s if block ~ ~-0.2 ~ #minecraft:slabs run function statue:create

execute as @e[tag=Statue] at @s unless block ~ ~-0.2 ~ #minecraft:slabs run function statue:kill



execute as @e[tag=Anger,tag=Statue,nbt={AngerTime:0}] run data merge entity @s {AngerTime:2147483647}
execute as @e[type=minecraft:phantom,tag=Statue] run data merge entity @s {Fire:-1}
execute as @e[type=minecraft:creeper,tag=Statue,nbt={ignited:1b}] at @s run function statue:creeper_ignited
scoreboard players add @e[type=minecraft:strider,tag=StatueColdStrider,nbt=!{NoAI:1b}] statuerand 1
execute as @e[type=minecraft:strider,tag=StatueColdStrider,nbt=!{NoAI:1b},scores={statuerand=2..}] run data merge entity @s {NoAI:1b}
execute as @e[type=minecraft:tadpole,tag=StatueTadpole] run data merge entity @s {Age:0}

#Mob Change#
execute as @e[type=shulker,tag=StatuePassengers,nbt=!{Peek:0b}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:shulker_shell",count:1}}] run data merge entity @s {Peek:0b}
execute as @e[type=shulker,tag=StatuePassengers,nbt=!{Peek:30b}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:shulker_shell",count:2}}] run data merge entity @s {Peek:30b}
execute as @e[type=shulker,tag=StatuePassengers,nbt=!{Peek:100b}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:shulker_shell",count:3}}] run data merge entity @s {Peek:100b}
execute as @e[type=magma_cube,tag=Statue,nbt=!{Size:0}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:magma_cream",count:1}}] run data merge entity @s {Size:0}
execute as @e[type=magma_cube,tag=Statue,nbt=!{Size:1}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:magma_cream",count:2}}] run data merge entity @s {Size:1}
execute as @e[type=magma_cube,tag=Statue,nbt=!{Size:2}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:magma_cream",count:3}}] run data merge entity @s {Size:2}
execute as @e[type=magma_cube,tag=Statue,nbt=!{Size:3}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:magma_cream",count:4}}] run data merge entity @s {Size:3}
execute as @e[type=magma_cube,tag=Statue,nbt=!{Size:4}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:magma_cream",count:5}}] run data merge entity @s {Size:4}
execute as @e[type=magma_cube,tag=Statue,nbt=!{Size:5}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:magma_cream",count:6}}] run data merge entity @s {Size:5}
execute as @e[type=magma_cube,tag=Statue,nbt=!{Size:20}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:magma_cream",count:21}}] run data merge entity @s {Size:20}
execute as @e[type=slime,tag=Statue,nbt=!{Size:0}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:slime_ball",count:1}}] run data merge entity @s {Size:0}
execute as @e[type=slime,tag=Statue,nbt=!{Size:1}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:slime_ball",count:2}}] run data merge entity @s {Size:1}
execute as @e[type=slime,tag=Statue,nbt=!{Size:2}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:slime_ball",count:3}}] run data merge entity @s {Size:2}
execute as @e[type=slime,tag=Statue,nbt=!{Size:3}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:slime_ball",count:4}}] run data merge entity @s {Size:3}
execute as @e[type=slime,tag=Statue,nbt=!{Size:4}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:slime_ball",count:5}}] run data merge entity @s {Size:4}
execute as @e[type=slime,tag=Statue,nbt=!{Size:5}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:slime_ball",count:6}}] run data merge entity @s {Size:5}
execute as @e[type=slime,tag=Statue,nbt=!{Size:20}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:slime_ball",count:21}}] run data merge entity @s {Size:20}
execute as @e[type=wolf,tag=Statue,nbt=!{Sitting:1b}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:bone",count:1}}] run data merge entity @s {Sitting:1b}
execute as @e[type=cat,tag=Statue,nbt=!{Sitting:1b}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:cod",count:1}}] run data merge entity @s {Sitting:1b}
execute as @e[type=#statue:tame,tag=Statue,nbt=!{Sitting:0b}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:stick",count:1}}] run data merge entity @s {Sitting:0b}
execute as @e[type=#statue:baby,tag=Statue,tag=!Baby] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:egg",count:1}}] run function statue:baby/become_baby
execute as @e[type=#statue:baby,tag=Statue,tag=Baby] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:clock",count:1}}] run function statue:baby/become_adult
execute as @e[type=#statue:baby2,tag=Statue,tag=!Baby] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:egg",count:1}}] run function statue:baby/become_baby2
execute as @e[type=#statue:baby2,tag=Statue,tag=Baby] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:clock",count:1}}] run function statue:baby/become_adult2
execute as @e[type=#statue:villagers,tag=Statue,tag=!VillagerT1] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:brick",count:1}}] run function statue:villager/tier1
execute as @e[type=#statue:villagers,tag=Statue,tag=!VillagerT2] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:iron_ingot",count:1}}] run function statue:villager/tier2
execute as @e[type=#statue:villagers,tag=Statue,tag=!VillagerT3] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:gold_ingot",count:1}}] run function statue:villager/tier3
execute as @e[type=#statue:villagers,tag=Statue,tag=!VillagerT4] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:emerald",count:1}}] run function statue:villager/tier4
execute as @e[type=#statue:villagers,tag=Statue,tag=!VillagerT5] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:diamond",count:1}}] run function statue:villager/tier5
execute as @e[type=zombie,tag=Statue,tag=!Baby] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:clock",count:42}}] run function statue:other/become_giant
execute as @e[type=giant,tag=Statue] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:clock",count:1}}] run function statue:other/become_zombie

execute as @e[type=iron_golem,tag=Statue,nbt=!{Health:24.0f}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:iron_ingot",count:1}}] run data merge entity @s {Health:24.0f}
execute as @e[type=iron_golem,tag=Statue,nbt=!{Health:49.0f}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:iron_ingot",count:2}}] run data merge entity @s {Health:49.0f}
execute as @e[type=iron_golem,tag=Statue,nbt=!{Health:74.0f}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:iron_ingot",count:3}}] run data merge entity @s {Health:74.0f}
execute as @e[type=iron_golem,tag=Statue,nbt=!{Health:100.0f}] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:iron_ingot",count:4}}] run data merge entity @s {Health:100.0f}


execute as @e[type=#statue:saddle,tag=Statue,tag=!HorseSaddle] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:saddle",count:1}}] run function statue:horse/saddle_on
execute as @e[type=#statue:saddle,tag=Statue,tag=HorseSaddle] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:tripwire_hook",count:1}}] run function statue:horse/saddle_off
execute as @e[type=#statue:saddle2,tag=Statue,tag=!Saddle] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:saddle",count:1}}] run function statue:other/saddle2_on
execute as @e[type=#statue:saddle2,tag=Statue,tag=Saddle] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:tripwire_hook",count:1}}] run function statue:other/saddle2_off
execute as @e[type=horse,tag=Statue,tag=!HorseArmor] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:leather_horse_armor",count:1}}] run function statue:horse/armor_on_leather
execute as @e[type=horse,tag=Statue,tag=!HorseArmor] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:iron_horse_armor",count:1}}] run function statue:horse/armor_on_iron
execute as @e[type=horse,tag=Statue,tag=!HorseArmor] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:golden_horse_armor",count:1}}] run function statue:horse/armor_on_golden
execute as @e[type=horse,tag=Statue,tag=!HorseArmor] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:diamond_horse_armor",count:1}}] run function statue:horse/armor_on_diamond
execute as @e[type=horse,tag=Statue,tag=HorseArmor] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:leather",count:1}}] run function statue:horse/armor_off
execute as @e[type=wolf,tag=Statue,tag=!Armor] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:wolf_armor",count:1}}] run function statue:other/wolf_armor
execute as @e[type=wolf,tag=Statue,tag=Armor] at @s if entity @e[type=item,distance=..0.7,nbt={Item:{id:"minecraft:armadillo_scute",count:1}}] run function statue:other/wolf_noarmor

execute as @e[type=#statue:llamas,tag=Statue,tag=!Carpet] at @s if items entity @e[type=minecraft:item,limit=1,distance=..0.7] contents #minecraft:wool_carpets run function statue:other/llama_carpet
execute as @e[type=#statue:llamas,tag=Statue,tag=Carpet] at @s if items entity @e[type=minecraft:item,limit=1,distance=..0.7] contents minecraft:shears run function statue:other/llama_nocarpet

execute as @a if items entity @s weapon.mainhand minecraft:stick[minecraft:item_name='{text:"Statue Wand"}'] at @s run function statue:look